# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Fri Jan 31 15:33:58 2025
# ------------------------------------------------

package:
  name: tinycss2
  version: 1.4.0
source:
  sha256: 10c0972f6fc0fbee87c3edb76549357415e94548c1ae10ebccdea16fb404a9b7
  url: https://pypi.io/packages/source/t/tinycss2/tinycss2-1.4.0.tar.gz
build:
  number: '0'
  script: /croot/tinycss2_1738337643607/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
    -m pip install . --no-deps -vv --no-build-isolation
  string: py312h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2024.12.31 h06a4308_0
    - expat 2.6.4 h6a678d5_0
    - flit-core 3.9.0 py312hee27c6d_1
    - ld_impl_linux-64 2.40 h12ee557_0
    - libffi 3.4.4 h6a678d5_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.15 h5eee18b_0
    - pip 25.0 py312h06a4308_0
    - python 3.12.8 h5148396_0
    - readline 8.2 h5eee18b_0
    - setuptools 75.8.0 py312h06a4308_0
    - sqlite 3.45.3 h5eee18b_0
    - tk 8.6.14 h39e8969_0
    - tzdata 2025a h04d1e81_0
    - wheel 0.45.1 py312h06a4308_0
    - xz 5.4.6 h5eee18b_1
    - zlib 1.2.13 h5eee18b_1
  run:
    - python >=3.12,<3.13.0a0
    - webencodings >=0.4
test:
  commands:
    - pip check
    - pytest -v
  imports:
    - tinycss2
  requires:
    - pip
    - pytest
    - ruff
  source_files:
    - tests
about:
  description: 'tinycss2 is a low-level CSS parser and generator written in Python:
    it can parse strings,

    return objects representing tokens and blocks, and generate CSS strings corresponding
    to these objects.

    '
  dev_url: https://github.com/Kozea/tinycss2
  doc_url: https://doc.courtbouillon.org/tinycss2/stable/
  home: https://www.courtbouillon.org/tinycss2
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: Low-level CSS parser for Python
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: cf53834b-256f-4200-88d7-19d04bb51910
  recipe-maintainers:
    - johanneskoester
    - mrandrewandrade
    - thewchan
  remote_url: git@github.com:AnacondaRecipes/tinycss2-feedstock.git
  sha: 53896e310a70de3a3f82c29ece4846f2fca29e6e
